Skip to main content
GET
/
guardrails
/
{id}
Get a guardrail
curl --request GET \
  --url https://openrouter.ai/api/v1/guardrails/{id} \
  --header 'Authorization: Bearer <token>'
{
  "data": {
    "allowed_models": null,
    "allowed_providers": [
      "openai",
      "anthropic",
      "google"
    ],
    "created_at": "2025-08-24T10:30:00Z",
    "description": "Guardrail for production environment",
    "enforce_zdr": false,
    "id": "550e8400-e29b-41d4-a716-446655440000",
    "ignored_models": null,
    "ignored_providers": null,
    "limit_usd": 100,
    "name": "Production Guardrail",
    "reset_interval": "monthly",
    "updated_at": "2025-08-24T15:45:00Z",
    "workspace_id": "0df9e665-d932-5740-b2c7-b52af166bc11"
  }
}

Authorizations

Authorization
string
header
required

API key as bearer token in Authorization header

Path Parameters

id
string<uuid>
required

The unique identifier of the guardrail to retrieve

Example:

"550e8400-e29b-41d4-a716-446655440000"

Response

Guardrail details

data
object
required

The guardrail

Example:
{
  "allowed_models": null,
  "allowed_providers": ["openai", "anthropic", "google"],
  "content_filter_builtins": [
    {
      "action": "redact",
      "label": "[EMAIL]",
      "slug": "email"
    }
  ],
  "content_filters": null,
  "created_at": "2025-08-24T10:30:00Z",
  "description": "Guardrail for production environment",
  "enforce_zdr": null,
  "enforce_zdr_anthropic": true,
  "enforce_zdr_google": false,
  "enforce_zdr_openai": true,
  "enforce_zdr_other": false,
  "id": "550e8400-e29b-41d4-a716-446655440000",
  "ignored_models": null,
  "ignored_providers": null,
  "limit_usd": 100,
  "name": "Production Guardrail",
  "reset_interval": "monthly",
  "updated_at": "2025-08-24T15:45:00Z",
  "workspace_id": "0df9e665-d932-5740-b2c7-b52af166bc11"
}